API referenceRead API
Get Profile
GET
header
AuthorizationBearer <token>Read API key. The scope an operation requires is given in x-required-scope (read | delete).
app_id*stringFormat
uuidperson_key*stringu:<user_id> or i:<install_id>, URL-encoded
Match
^(u:.{1,128}|i:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})$sessions_limit?integerRange
1 <= value <= 500Default
100before?stringCursor: started_at of the last session on the previous page (exclusive bound)
Format
date-timeProfile
application/json- response
person_key*stringuser_id*string|nullfirst_seen*stringFormat
date-timelast_seen*stringFormat
date-timeinstalls*array<>sessions*array<>next_before*|Format
date-timecurl -X GET 'https://api.appmetrica.online/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/profiles/string'{ "person_key": "string", "user_id": "string", "first_seen": "2019-08-24T14:15:22Z", "last_seen": "2019-08-24T14:15:22Z", "installs": [ { "install_id": "a2b40014-cdc0-48fd-8231-b43135445da9", "platform": "string", "os_name": "string", "os_version": "string", "app_version": "string", "device_model": "string", "device_type": "string", "locale": "string", "country": "string", "city": "string", "first_seen": "2019-08-24T14:15:22Z", "last_seen": "2019-08-24T14:15:22Z" } ], "sessions": [ { "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82", "install_id": "a2b40014-cdc0-48fd-8231-b43135445da9", "started_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "app_version": "string", "platform": "string", "environment": "production", "country": "string", "city": "string" } ], "next_before": "2019-08-24T14:15:22Z"}